TomcatInstall.TomcatVersion (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.session.tests

## Enum TomcatInstall.TomcatVersion

- java.lang.Object
- - java.lang.Enum<TomcatInstall.TomcatVersion>
  - - org.apache.geode.session.tests.TomcatInstall.TomcatVersion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TomcatInstall.TomcatVersion>
  Enclosing class:
    TomcatInstall

      public static enum TomcatInstall.TomcatVersion
      extends java.lang.Enum<TomcatInstall.TomcatVersion>

  Version of tomcat that this class will install Includes the download URL for the each version, the version number associated with each version, and other properties or XML attributes needed to setup tomcat containers within Cargo

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TOMCAT6`
    `TOMCAT7`
    `TOMCAT8`
    `TOMCAT9`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContainerId()`
    `java.lang.String` | `getDownloadURL()`
    `int` | `getVersion()`
    `java.lang.String` | `jarSkipPropertyName()`
    `int` | `toInteger()` Converts the version to an integer
    `static TomcatInstall.TomcatVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TomcatInstall.TomcatVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOMCAT6

          public static final TomcatInstall.TomcatVersion TOMCAT6

    - #### TOMCAT7

          public static final TomcatInstall.TomcatVersion TOMCAT7

    - #### TOMCAT8

          public static final TomcatInstall.TomcatVersion TOMCAT8

    - #### TOMCAT9

          public static final TomcatInstall.TomcatVersion TOMCAT9

  - ### Method Detail

    - #### values

          public static TomcatInstall.TomcatVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TomcatInstall.TomcatVersion c : TomcatInstall.TomcatVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TomcatInstall.TomcatVersion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toInteger

          public int toInteger()

      Converts the version to an integer

    - #### getVersion

          public int getVersion()

    - #### getContainerId

          public java.lang.String getContainerId()

    - #### getDownloadURL

          public java.lang.String getDownloadURL()

    - #### jarSkipPropertyName

          public java.lang.String jarSkipPropertyName()